Bug 196201 - kernel panic in hotplug app (stack in bug)
kernel panic in hotplug app (stack in bug)
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Prarit Bhargava
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-21 16:35 EDT by Lenny Maiorani
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-09 09:10:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lenny Maiorani 2006-06-21 16:35:49 EDT
Description of problem:

Sometimes when booting and shutting down, the hotplug crashes issuing an ioctl call.

Version-Release number of selected component (if applicable):
2.3.9-34

How reproducible:

intermittent when booting and shutting down.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
kernel panic, kdb stack is:
kdb> bt
Stack traceback for pid 22708
0x00000100d73607f0    22708    22702  1    1   R  0x00000100d7360bf0
*default.hotplug
RSP           RIP                Function (args)
0x1007c609f00 0xffffffff8029bc06 sock_ioctl+0x2b8
0x1007c609f48 0xffffffff80185771 sys_ioctl+0x355
[1]kdb> 

Unable to handle kernel NULL pointer dereference at 0000000000000048 RIP:
<ffffffff8029bc86>{sock_ioctl+696}
PML4 d7442067 PGD d8da1067 PMD 0
Oops: 0000 [1] SMP

Entering kdb (current=0x0000010079e38030, pid 11910) on processor 1 Oops: <NULL>
due to oops @ 0xffffffff8029bc86
     r15 = 0x0000000000000001      r14 = 0x00000000ffffffe7
     r13 = 0x00000100df4ee7c0      r12 = 0x0000007fbffff500
     rbp = 0x0000000000005401      rbx = 0x000001007f614750
     r11 = 0x0000000000000202      r10 = 0x000000000000000a
      r9 = 0x0000000000000000       r8 = 0x0000007fbffff540
     rax = 0x0000000000000000      rcx = 0x0000007fbffff500
     rdx = 0x0000007fbffff500      rsi = 0x0000000000005401
     rdi = 0x000001007f614700 orig_rax = 0xffffffffffffffff
     rip = 0xffffffff8029bc86       cs = 0x0000000000000010
  eflags = 0x0000000000010287      rsp = 0x0000010078255f00
      ss = 0x0000010078254000 &regs = 0x0000010078255e68

This is still happening as of build 2.0.57:
sqaone01-SP $ console console
[Enter `^Ec?' for help]

[1]kdb> bt
Stack traceback for pid 11076
0x000001007ecd2030    11076        8  1    1   R  0x000001007ecd2430 *hotplug
RSP           RIP                Function (args)
0x100e73d9f00 0xffffffff8029ccb1 sock_ioctl+0x2ab
0x100e73d9f48 0xffffffff80186345 sys_ioctl+0x355
[1]kdb> ps
1 idle process (state I) and 128 sleeping system daemon (state M) processes
suppressed
Task Addr               Pid   Parent [*] cpu State Thread             Command
0x000001007ecd2030    11076        8  1    1   R  0x000001007ecd2430 *hotplug

0x00000100e7f637f0        1        0  0    0   S  0x00000100e7f63bf0  init
0x00000100e7f62030        5        1  0    1   R  0x00000100e7f62430 
ksoftirqd/1
0x00000100e7eb8030        7        1  0    1   R  0x00000100e7eb8430  events/1
0x00000100e7eb97f0        8        6  0    1   D  0x00000100e7eb9bf0  khelper
0x00000100e7039030     6349        1  0    1   S  0x00000100e7039430  udevd
0x0000010002eb07f0     6761        1  0    1   D  0x0000010002eb0bf0  kjournald
0x0000010081d437f0     7397        1  0    1   D  0x0000010081d43bf0  syslogd
0x000001007fa437f0     7401        1  0    1   R  0x000001007fa43bf0  klogd
0x0000010002fd3030     7412        1  0    1   S  0x0000010002fd3430 
irqbalance
0x000001007f9707f0     7424        1  0    1   S  0x000001007f970bf0  portmap
0x00000100e69fb7f0     7444        1  0    1   S  0x00000100e69fbbf0  rpc.statd
0x000001007f4667f0     7470        1  0    1   S  0x000001007f466bf0 
rpc.idmapd
0x00000100e6e357f0     7565        1  0    1   S  0x00000100e6e35bf0  acpid
0x000001007f466030     7596        1  0    1   S  0x000001007f466430  sshd
0x00000100e76047f0     7613        1  0    0   S  0x00000100e7604bf0  xinetd
0x000001007f793030     7626        1  0    0   S  0x000001007f793430  ntpd
0x000001007f98a030     7650        1  0    0   S  0x000001007f98a430  gpm
0x000001007ec667f0     7751        1  0    0   S  0x000001007ec66bf0  htt

...

0x00000100e7604030    11069        1  0    0   D  0x00000100e7604430  sh
0x000001007942f7f0    11070        1  0    1   R  0x000001007942fbf0  init
0x000001007962f030    11071        1  0    1   R  0x000001007962f430  mingetty
0x00000100787fe030    11072        1  0    0   D  0x00000100787fe430  mingetty
0x000001007942f030    11073        1  0    0   D  0x000001007942f430  mingetty
0x00000100799d3030    11074        1  0    0   D  0x00000100799d3430  mingetty
0x00000100787727f0    11075        1  0    1   D  0x0000010078772bf0  init
0x000001007ecd2030    11076        8  1    1   R  0x000001007ecd2430 *hotplug
0x000001007fa89030    11077        8  0    1   R  0x000001007fa89430  khelper
0x0000010079b96030    11078    10895  0    0   S  0x0000010079b96430  cwalk_ip 
ve
[1]more>
0x00000100da4a2030    11079    10711  0    0   S  0x00000100da4a2430  ip.sh
0x00000100799d37f0    11080    11079  0    0   D  0x00000100799d3bf0  ip.sh
0x0000010078bd37f0    11081    10751  0    0   S  0x0000010078bd3bf0  ip.sh
0x00000100798d37f0    11082    11081  0    0   D  0x00000100798d3bf0  ip.sh
[1]kdb>



Expected results:
should do this gracefully.

Additional info:
Comment 3 Prarit Bhargava 2006-06-22 17:56:24 EDT
To proceed further I require:

1.  A copy of the oops from a system running _RHEL4_.  Not RHEL4 + various patches.
2.  Specifics on the system being used.  (lspci?  Is this box a hotplug capable
box?, etc.)

Changing to NEEDINFO_REPORTER.

P.

Note You need to log in before you can comment on or make changes to this bug.